UNIT COMMON;
{$R-,S-,V-,D+,L+,F-,O-,B+}

Interface
USES DOS,CRT;

CONST
  Version = '2.26(11-Feb-93)';
  MaxPhoneNums = 20; { 2.0h }
  Buffer_Max = 5121; { 2.0 }
  Buffer_End = Buffer_Max-1; {2.0}
  cr = #$0D;     { ^M = CR }
  lf = #$0A;     {2.23}


TYPE
  str90       = STRING[90]; { 2.0c }
  PhoneEntry  = STRING[32];
  PhoneStr    = STRING[20];
  filename    = STRING[22]; { 2.14 }
  Str2        = String[2];  { 1.1 }
  MacStr      = String[32]; { 2.0i }
  hexstr      = STRING[4];
  SmallStr    = STRING[10]; { 2.Oi }
  Str5        = String[5];  {2.23}

VAR
  mrow, mcol: Byte; { 2.0o }
  cfile, PhoneFile: Text;
  PhoneList : ARRAY[1..MaxPhoneNums] OF PhoneEntry;
  option, hangup, baudrate, scrnmode : Char;
  txtcolor, backcolor : String[2];
  portnum, answer : Char;
  base, N_Phones, pnumbers : Integer;
  scrmode, bauds, txtclr, txtback : Integer;
  callout : Boolean;
  COMport : Integer;
  done : Boolean;
  newscr, {newstatus,} options : Boolean; {2.23}
  speed, cport, cmode : String[8];
  statclr, statbak: Integer;
  RecBuf : ARRAY[1..Buffer_Max] of Char; {2.0}
  outport,cdetport : Integer; {2.0}
  Buffer_head, Buffer_Tail, Buffer_Count : Word; {2.0}
  Async_Irq : Byte; { 2.0 }
  regs : Registers; {2.0}
  {andwith : Byte;} {2.19}
  AsyncVector : Pointer; {2.0}
  err : Integer;         {2.0}
  meth,way : Char;       { 2.0c }
  initstrg : Str90;      { 2.0e }
  exitphone : Boolean;   { 2.0e }
  phonename : Str90;     { 2.0h }
  index : Integer;       { 2.0h }
  MacArray : ARRAY[1..10] of MacStr; { 2.0i }
  useansi : Boolean;     { 2.0j }
  ansistat : String[4];  { 2.0j }
  oldmode : Byte;        { 2.0m }
  dialstrg : PhoneEntry; { 2.0n }
  junk : char;           { 2.0o }
  savescrn : Boolean;    { 2.0p }
  biosvideo : Boolean;   { 2.0q }
  videochc : String[8];  { 2.0g }
  shown : Boolean;       { 2.0t }
  {delay_calc : real;}   { 2.15 }
  {cpuspeed: integer;}   { 2.15 }
  online : Boolean;      { 2.0v }
  inready : Boolean;     { 2.17 }

CONST
  ansidef: SmallStr = 'NO'; {2.23}
  crlf:    Str5     = #13+#10; {2.23}


 FUNCTION cdet:boolean;  { 2.0s }
 PROCEDURE SendStr(Strg: Str90 ); {2.24 added}
 FUNCTION Cts:Boolean; {2.24}

Implementation

 FUNCTION cdet:boolean;  { 2.0s }
 BEGIN
  cdet := (port[cdetport] AND 128) <> 0; {2.23}
 END;

  FUNCTION Cts: Boolean;
  BEGIN
    Cts := (Port[cdetport] AND $10) <> 0; {2.20}
  END;

  PROCEDURE SendStr(Strg: Str90 ); {2.24 added}
  VAR i,size,cnt: byte; {2.23}
  BEGIN
   Size := ord(strg[0]);
   FOR i := 1 TO size DO
    BEGIN
     REPEAT UNTIL Cts; {2.20}
     WHILE (port[outport] AND 32) = 0 DO {NOP}; {2.21}
     port[base] := ord(strg[i]);
    END;
  END;

END.
