PROGRAM WindDemo;
(* A demo program for the WINDOWS unit *)

{$S-,R-,L+,D+,B+}
{$M 16664, 0, 40960}

USES Crt, Wind;

CONST NewLine : string[2] = ^M^J;
      Esc : char = ^[;
VAR   Str: array[1..3] of string[50];
      NumWindows : byte;
      Key : char;

BEGIN
  WindInit;
  Str[1] := '  This is the first window opened...';
  Str[2] := '  This is the second window opened...';
  Str[3] := '  And this is the third.';
  NumWindows := 0;
  TextMode(CO80);
  ClrScr;
  OpenW(1,23,79,25);
  if NOT(WindError) then
   begin
    Write('         Type an alphanumeric Key, or press <Esc> to');
    Write(' close a window.');
   end;
  OpenW(30,10,70,15);
  if NOT(WindError) then
   begin
    Write(NewLine,NewLine,Str[1]);
    NumWindows := NumWindows + 1
   end;
  OpenW(5,2,50,8);
  if NOT(WindError) then
   begin
    Write(Str[2]);
    NumWindows := NumWindows + 1
   end;
  OpenW(20,12,55,16);
  if NOT(WindError) then
   begin
    WriteLn(Str[3]);
    NumWindows := NumWindows + 1
   end;
  while NumWindows > 0 do
   begin
    Key := ReadKey;
    if Key = #0 then
     Key := ReadKey  (* discard function & cursor keys *)
    else
     if Key = ^M then
      Writeln
     else
      if Key = Esc then
       begin
        NumWindows := NumWindows -1;
        CloseW;
       end
    else
     Write(Key)
   end (* while NumWindows > 0 *);
  CloseW;  (* close the help window *)
end.
